<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Software Engineering Code of Ethics and Professional Practice</title>
</head>
<body>
<p>	<em>Science and Engineering (2001) 7, 231-238</em>
	<hr/>
	<h1>Software Engineering Code of Ethics and Professional Practice</h1>
	<strong><h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3></strong>
	<hr/><br>
	<strong>Keywords:</strong>code of ethics, professional responsibility, software engineering 
	<br>
	<h3>PREAMBLE</h3>

	The Short version of the code summarizes aspirational at a high level of abstraction. The clauses that are included in the full version give example and details of how these aspiration change the ay we act as a software engneering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspiration can become hihg-sounding but empty; together, the aspirations and the details form a cohesive code.
	<br><br>
	Software engineers shall commit themselves a making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with thier commitment to the health, safety, and welfare of the public, sotfware engineers shall adhere to the following eight Principles:
	<br>
</p>
	<h3>PRINCIPLES</h3>
	<ol>
		<li><em>Public.</em>Software engineers shall act consistently with the public interest.</li>
		<li><em>Client and employer.</em>Software engineers shall act in a manner that it is the best interest of thier client and employer, consistent with the public interest.</li>
		<li><em>Product.</em>Software engineers shall ensure that thier products and realted modifications meet the highest professional standards possible.</li>
		<li><em>Judgement.</em>Software engineers shall maintain integrity and independence in thoer professional judgement</li>
		<li><em>Management</em>Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
		<li><em>Profession.</em>Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
		<li><em>Colleagues.</em> Software engineers shall be fair to adn supportive of thier colleagues.</li>
		<li><em>Self.</em>Software engineers shall participate in liflone learning regarding the pratice of thier profession and shall promote an ethical approach of the profession.</li>
	</ol>

</body>
</html>